Package org.silverpeas.components.quickinfo.notification

# Class QuickinfoInstanceManualUserNotification

java.lang.Object
org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification
org.silverpeas.components.quickinfo.notification.QuickinfoInstanceManualUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification`

@Bean @Named public class QuickinfoInstanceManualUserNotification extends org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification

  `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification.Constants`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickinfoInstanceManualUserNotification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `check(org.silverpeas.core.notification.user.NotificationContext context)`
  `org.silverpeas.core.notification.user.UserNotification`
  `createUserNotification(org.silverpeas.core.notification.user.NotificationContext context)`

  ### Methods inherited from class org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

  `initializesWith`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickinfoInstanceManualUserNotification

    public QuickinfoInstanceManualUserNotification()

- ## Method Details

  - ### check

    protected boolean check(org.silverpeas.core.notification.user.NotificationContext context)
    Overrides:
      `check` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`

  - ### createUserNotification

    public org.silverpeas.core.notification.user.UserNotification createUserNotification(org.silverpeas.core.notification.user.NotificationContext context)
    Specified by:
      `createUserNotification` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`